import 'option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  bool askBinary(String prompt) {
    final input = _ask("$prompt (y/n)", []);

    if(input == "y" || input == "yes"){ // since sometimes users may accidentally write the full word and not notice
      return true;
    } else if (input == "n" || input == "no"){
      return false;
    } else {
      return askBinary(prompt);
    }
  }

  dynamic askMultipleChoice(String prompt, List<Option> options) {
    final input = _ask(prompt, options);

    try {
      return options[int.parse(input)].value;
    } catch (err) {
      return askMultipleChoice(prompt, options);
    }
  }

  String _ask(String prompt, List<Option> options){
    _terminal.clearScreen();

    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
